package com.tencent.edu.module.audiovideo.widget

/**
 * 5.1 高招会 AV音视频直播房间
 * @author aidanyang
 * @date 2020-04-29
 */
class RecruitAvActivity : EduAVActivity() {

    override fun getClassroomPortrait(): ClassroomPortrait {
        return RecruitClassroomPortrait(this)
    }

    override fun createLivePresenter(): LivePresenter {
        return RecruitLivePresenter(this, mClassRoom,this)
    }

    override fun uninitViews() {
        (mClassroomPortrait as RecruitClassroomPortrait?)?.onDestroy()
        super.uninitViews()
    }

    override fun isRecruitCourse(): Boolean {
        return (mClassroomPortrait as RecruitClassroomPortrait?)?.isRecruitCourse ?: false
    }
}