package com.tencent.edu.module.course.detail.util

import android.text.TextUtils
import java.io.Serializable

data class ComponentInfo(
        val title: String? = null,
        val discrible: String? = null,
        val button_wording: String? = null,
        val url: String? = null,
        val article_url: String? = null,
        val gif_url: String? = null,
        val mini_program_url: String? = null,
        var componentId: Int = 1,
        var isHelper: Boolean = false,
        var courseId: String = ""
) : Serializable {
    // gif_info缺少了以下任何一个信息就不展示
    fun isAvailable(): Boolean {
        return !TextUtils.isEmpty(discrible) && !TextUtils.isEmpty(button_wording)
                && !TextUtils.isEmpty(gif_url) && !TextUtils.isEmpty(mini_program_url)
    }
}