package com.tencent.edu.module.homepage.model

import java.io.Serializable

class EnjoyStudyCardInfo : Serializable {
    var remain_days: Int = 0
    var is_granted: Int = 0
    var is_new_grant: Int = 0

    fun isNewGrant(): Boolean {
        return is_new_grant == 1
    }

    fun isGranted(): Boolean {
        return is_granted == 1
    }

    fun isExpired(): Boolean {
        return isGranted() && remain_days == 0
    }

}

