package com.tencent.edu.module.shortvideo.event

class ShortVideoEvent(
        var mFileId: String = "",
        var mIsCollect: Boolean = false,
        var mCollectNum: Int = 0,
        var mIsLike: Boolean = false,
        var mLikeNum: Int = 0,
        var isFollowed: Boolean = false,
        var creatorId: Long = 0
) {

    constructor(
            isFollowed: Boolean,
            creatorId: Long
    ) : this(
            "",
            false,
            0,
            false,
            0,
            isFollowed,
            creatorId
    )

    companion object {
        const val EVENT_PORTRAIT_SEEKING = "event_portrait_seeking"
        const val EVENT_UPDATE_COLLECT = "event_update_collect"
        const val EVENT_UPDATE_LIKE = "event_update_like"
        const val EVENT_UPDATE_FOLLOWED = "event_update_followed"
    }

}